Package org.apache.catalina.storeconfig

# Interface IStoreFactory

All Known Implementing Classes:
  `CatalinaClusterSF`, `ChannelSF`, `ConnectorSF`, `CredentialHandlerSF`, `GlobalNamingResourcesSF`, `InterceptorSF`, `JarScannerSF`, `LoaderSF`, `ManagerSF`, `NamingResourcesSF`, `OpenSSLConfSF`, `PersistentManagerSF`, `RealmSF`, `SenderSF`, `SSLHostConfigSF`, `StandardContextSF`, `StandardEngineSF`, `StandardHostSF`, `StandardServerSF`, `StandardServiceSF`, `StoreFactoryBase`, `WatchedResourceSF`, `WebResourceRootSF`, `WrapperLifecycleSF`, `WrapperListenerSF`

public interface IStoreFactory

## Method Summary

Modifier and Type
Method
Description
`StoreRegistry`
`getRegistry()`
`StoreAppender`
`getStoreAppender()`
`void`
`setRegistry(StoreRegistry aRegistry)`
`void`
`setStoreAppender(StoreAppender storeWriter)`
`void`
`store(PrintWriter aWriter, int indent, Object aElement)`
`void`
`storeXMLHead(PrintWriter aWriter)`

## Method Details

### getStoreAppender

StoreAppender getStoreAppender()

### setStoreAppender

void setStoreAppender(StoreAppender storeWriter)

### setRegistry

void setRegistry(StoreRegistry aRegistry)

### getRegistry

StoreRegistry getRegistry()

### store

void store(PrintWriter aWriter, int indent, Object aElement) throws Exception

Throws:
  `Exception`

### storeXMLHead

void storeXMLHead(PrintWriter aWriter)